Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the details of a recipient.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/recipients/{recipientId}?accountId={{accountId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/recipients/{recipientId}" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/recipients/{recipientId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/recipients/{recipientId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/recipients/{recipientId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/recipients/{recipientId}") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/recipients/{recipientId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "8lciyups6", "accountId": "F50091", "accountIdentifier": "55555555", "bankIdentifier": "395744", "schemeName": "UK.OBIE.IBAN", "name": "William Walker", "friendlyName": "Electrician", "intermediaryBankIdentifier": "QBLCCCCV", "paymentNetwork": "SWIFT", "purposeCode": "string", "email": "string", "defaultPurpose": "Purpose of the payment", "defaultReference": "string", "status": "AUTHORISED", "sepa": true, "currency": "USD", "bankCode": "string", "createdBy": "string", "lastPaidAt": "2026-02-23T14:49:17.000Z", "recipientType": "string", "verificationMethod": "phone", "recipientAddress": { "country": "string", "address": "123 Fake Street", "city": "London", "postcode": "SW1A 1AA" }, "bankAddress": { "bankName": "Brilliant Bank", "fullBankName": "Brilliant Bank Plc", "city": "Enfield", "postcode": "EN1 3JY", "country": "string", "address": "1 High Street" }, "validation": { "nameMatch": true, "reason": "string", "reasonCode": "N000", "actualName": "William Walker" }, "bankDetailsFormat": "bic-accountnumber" }
The recipient's ID.
"8lciyups6"
The ID of the account to work with.
"F50091"
OK
SWIFT
SEPA.INSTANT
SEPA.CREDITTRANSFER
CHAPS
UKFPS
ACH
WIRETRANSFER
OFF_PLATFORM
NIP
null
The recipient's status.
UNVERIFIED
PENDING
AUTHORISED
REJECTED
"AUTHORISED"
The currency code, in ISO-4217 format.
^[A-Z]{3}$
"USD"
Identifier of the account, could be iban or account number. Separators and punctuation are stripped; the length limit applies to what remains.
34
"55555555"
Identifier of the bank, could be BIC or sort code
20
"395744"
The name of the scheme.
UK.OBIE.IBAN
UK.OBIE.SortCodeAccountNumber
The recipient's name.
256
"William Walker"
An optional friendly name for the recipient. This is used only for display purposes.
"Electrician"
The intermediary bank identifier: either a BIC or a numeric account number.
^([0-9]+|[a-zA-Z]{6}[a-zA-Z0-9]{2}([a-zA-Z0-9]{3})?)$
"QBLCCCCV"
The recipient's email address.
The purpose of the payment.
"Purpose of the payment"
The date a payment was last made to this recipient. Null or absent if the recipient has never been paid.
"2026-02-23T14:49:17.000Z"
phone
sms_otp
biometrics
email
other
Details about the address of the recipient.
Show child attributes
Details about the bank's address.
bic-accountnumber
usroutingnumber-accountnumber
bic-caroutingnumber-accountnumber
bic-bsb-accountnumber
bic-ifsc-accountnumber
sortcode-accountnumber
bic-clabe
bic-iban
Was this page helpful?